Package Details: castor-git 0.8.13.r0.gcb7d09b-1

Git Clone URL: https://aur.archlinux.org/castor-git.git (read-only, click to copy)
Package Base: castor-git
Description: A gemini, gopher and finger graphical client
Upstream URL: https://git.sr.ht/~julienxx/castor
Licenses: unknown
Submitter: dpirate
Maintainer: dpirate
Last Packager: dpirate
Votes: 1
Popularity: 0.000333
First Submitted: 2020-01-24 15:23
Last Updated: 2020-06-04 17:41

Latest Comments

dpirate commented on 2020-10-31 08:19

Unfortunately I'm not that familiar with the rust toolchain. And I think I've got the other one installed. I've taken a look at the rust packaging guidelines and the ripgrep PKGBUILD and it doesn't look like I'm missing something or doing something out of the ordinary. But nevertheless it's good that you mention this here so others reading this can avoid choosing rustup for the moment.

lnnz commented on 2020-10-31 04:19

Installing this for the first time, it gave me an option between rust and rustup. I chose rustup, which then showed the following error.

==> Updated version: castor-git 0.8.15.r13.g029db99-1
==> Starting build()...
error: no override and no default toolchain set
==> ERROR: A failure occurred in build().
    Aborting...

Running rustup default stable and retrying appears to fix it. Not sure if this is something that you can account for or not, but wanted to mention it.

dpirate commented on 2020-10-04 08:00

I think some need to be. But many and this one included always just builds the latest revision.

fiberdistraction commented on 2020-10-04 07:58

Oh, I thought PKGBUILD files had to be updated for each commit, but I'm mistaken. Nevermind.

dpirate commented on 2020-10-04 07:57

Is there any build or run problem with the build recipe as it is? I can't see any.

fiberdistraction commented on 2020-10-04 05:58

latest commit is https://git.sr.ht/~julienxx/castor/commit/a8a949d, please update

dpirate commented on 2020-06-04 17:43

Done. Thanks for the suggestion.

Jasper1984 commented on 2020-06-04 00:16

Looks like it also needs patch as build-time-dependency.